Visite: BR-Linux ·  VivaOLinux ·  Dicas-L


+ Responder ao Tópico

  1. #16
    hawk23
    Ok Sérgio , se vc consegui colocar pra funcionar com ISA , posta para mim .. pois seria grande ajuda .

    Muito obrigado mais uma vez pela sua ajuda .


  2.    Publicidade


  3. #17
    hawk23
    Sérgio, mudando um pouco o assunto sobre HermesAP , vc conhece algum programa que me diga qual usuário está consumindo mais banda ?

    Exemplo :

    Eu entro em meu host remoto, que serve como gateway para rede de um prédio, e executo o programa, e o mesmo me mostra qual usuário está consumindo mais banda nessa rede .
    Já tentei o IpTraf mas o ele não tem essa função .

    Espero sua reposta

  4. os meus aqui soh consomem o que libero pra eles... nada alem... agora o iptraf mostra sim... se vc quiser ver blz, roda: # iptraf -l ethX e lah vai aparecer o MAC do engracadinho...
    se vc quiser dar nome pra cada user vc entra (no slackware... no debian vai ter q achar onde fica esse arquivo) /var/cache/iptraf/ethernet.desc e cadastra o MAC tudo em minusculo, sem separador e no final do MAC usa o separador ":" e coloca o nome do individuo... tem como configurar isso dentro do proprio iptraf (Configure- Ethernet/PLIP Host Description)
    Fora esses poderia usar o ipaudit e verificar os logs de cada um... mostra onde tah conectado, consumo e mais um monte de coisa... tem tambem o MRTG que serve +-.

  5. Citação Postado originalmente por hawk23
    Ok Sérgio , se vc consegui colocar pra funcionar com ISA , posta para mim .. pois seria grande ajuda .

    Muito obrigado mais uma vez pela sua ajuda .
    eh... essas ISA sao um peh no sac*&%$@#...
    Mas fiz funcionar aqui com 2 ISA (1 master e 1 Maganed)... seguinte.. fiz uma gambiarra danada e como precisava mandar a maquina embora rapido... nao deu pra testar muita coisa (acho que tem configuracao soh echendo linguica... :twisted: ) mas tae:
    /etc/pcmcia/config.opts (acrescentei essas 2 linhas)
    module "orinoco_cs" opts ""
    module "orinoco_cs" opts ""

    /etc/modules.conf (acrescentei essas 2 linhas)
    alias eth0 orinoco_cs
    alias eth1 orinoco_cs

    /etc/rc.d/rc.pcmcia (troquei o arquivo original por este)

    #!/bin/sh

    # rc.pcmcia 1.46 2004/05/07 06:24:58 (David Hinds)
    #
    # This is designed to work in BSD as well as SysV init setups. See
    # the HOWTO for customization instructions.

    # Tags for Red Hat init configuration tools
    #
    # chkconfig: 2345 45 96
    # processname: cardmgr
    # pidfile: /var/run/cardmgr.pid
    # config: /etc/pcmcia/config
    # config: /etc/pcmcia/config.opts
    # description: PCMCIA support is usually to support things like ethernet \
    # and modems in laptops. It won't get started unless \
    # configured so it is safe to have it installed on machines \
    # # processname: cardmgr
    # pidfile: /var/run/cardmgr.pid
    # config: /etc/pcmcia/config
    # config: /etc/pcmcia/config.opts
    # description: PCMCIA support is usually to support things like ethernet \
    # and modems in laptops. It won't get started unless \
    # configured so it is safe to have it installed on machines \
    # that don't need it.

    # Exit if pcmcia-cs is not installed
    test -x /sbin/cardmgr || exit 0

    # Save option values passed in through the environment
    for N in PCMCIA PCIC PCIC_OPTS CORE_OPTS CARDMGR_OPTS SCHEME ; do
    V=`eval echo '$'$N` ; if [ "$V" ] ; then eval ENV_$N=\"$V\" ; fi
    done

    # Source PCMCIA configuration, if available
    if [ -f /etc/pcmcia.conf ] ; then
    # Debian startup option file
    . /etc/pcmcia.conf
    elif [ -f /etc/sysconfig/pcmcia ] ; then
    # Red Hat startup option file
    . /etc/sysconfig/pcmcia
    else
    # Slackware startup options go right here:
    # Should be either i82365 or tcic
    PCIC=i82365
    # Put socket driver timing parameters here
    PCIC_OPTS="extra_sockets=1"
    # Put pcmcia_core options here
    CORE_OPTS=
    # Put cardmgr options here
    CARDMGR_OPTS=
    # To set the PCMCIA scheme at startup...
    SCHEME=
    fi
    for N in PCMCIA PCIC PCIC_OPTS CORE_OPTS CARDMGR_OPTS SCHEME ; do
    V=`eval echo '$'ENV_$N` ; if [ "$V" ] ; then eval $N=\"$V\" ; fi
    done
    if [ "$PCMCIA" -a "$PCMCIA" != "yes" ] ; then exit 0 ; fi

    usage()
    {
    echo "Usage: $0 {start|stop|status|restart|reload}"
    }

    cleanup()
    {
    while read SN CLASS MOD INST DEV EXTRA ; do
    if [ "$SN" != "Socket" ] ; then
    /etc/pcmcia/$CLASS stop $DEV 2> /dev/null
    fi
    done
    }
    EXITCODE=1
    for x in "1" ; do

    if [ "$PCIC" = "" ] ; then
    echo "PCIC module not defined in startup options!"
    break
    fi

    if [ $# -lt 1 ] ; then usage ; break ; fi
    action=$1

    case "$action" in

    start)
    echo -n "Starting PCMCIA services: "

    if [ -d /var/lib/pcmcia ] ; then
    SC=/var/lib/pcmcia/scheme
    RUN=/var/lib/pcmcia
    else
    SC=/var/run/pcmcia-scheme
    RUN=/var/run
    fi
    if [ -L $SC -o ! -O $SC ] ; then rm -f $SC ; fi
    if [ ! -f $SC ] ; then umask 022 ; touch $SC ; fi
    if [ "$SCHEME" ] ; then umask 022 ; echo $SCHEME > $SC ; fi

    if ! grep -q pcmcia /proc/devices ; then
    if [ -d /lib/modules/preferred ] ; then
    PC=/lib/modules/preferred/pcmcia
    else
    PC=/lib/modules/`uname -r`/pcmcia
    fi
    KD=/lib/modules/`uname -r`/kernel/drivers/pcmcia
    if [ -x /sbin/modprobe ] ; then
    /sbin/modprobe pcmcia_core $CORE_OPTS || break
    /sbin/modprobe $PCIC $PCIC_OPTS >/dev/null 2>&1 ||
    (/sbin/modprobe yenta_socket >/dev/null 2>&1 &&
    echo "using yenta_socket instead of $PCIC") ||
    /sbin/modprobe $PCIC $PCIC_OPTS || break
    /sbin/modprobe ds || break
    elif [ -d $PC ] ; then
    /sbin/insmod $PC/pcmcia_core.o $CORE_OPTS
    /sbin/insmod $PC/$PCIC.o $PCIC_OPTS
    /sbin/insmod $PC/ds.o
    else
    echo "module directory $PC not found."
    break
    fi
    fi

    if [ -s /var/run/cardmgr.pid ] && \
    kill -0 `cat /var/run/cardmgr.pid` 2>/dev/null ; then
    echo "cardmgr is already running."
    else
    if [ -r $RUN/stab ] ; then
    cat $RUN/stab | cleanup
    fi
    /sbin/cardmgr $CARDMGR_OPTS
    fi

    echo "done."
    touch /var/lock/subsys/pcmcia 2>/dev/null
    EXITCODE=0
    ;;
    stop)
    echo -n "Shutting down PCMCIA services: "
    if [ -s /var/run/cardmgr.pid ] ; then
    PID=`cat /var/run/cardmgr.pid`
    kill $PID
    # Give cardmgr a few seconds to handle the signal
    for N in 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 ; do
    kill -0 $PID 2>/dev/null || break
    sleep 2
    done
    fi
    killall -q "CardBus Watcher"
    if grep -q "^ds " /proc/modules ; then
    /sbin/rmmod ds
    /sbin/rmmod $PCIC 2>/dev/null || \
    /sbin/rmmod yenta_socket 2>/dev/null
    /sbin/rmmod pcmcia_core
    fi
    echo "done."
    rm -f /var/lock/subsys/pcmcia
    EXITCODE=0
    ;;status)
    pid=`/sbin/pidof cardmgr`
    if [ "$pid" != "" ] ; then
    echo "cardmgr (pid $pid) is running..."
    EXITCODE=0
    else
    echo "cardmgr is stopped"
    EXITCODE=3
    fi
    ;;

    restart|reload)
    $0 stop
    $0 start
    EXITCODE=$?
    ;;

    *)
    usage
    ;;

    esac

    done

    # Only exit if we're in our own subshell
    case $0 in *rc.pcmcia) exit $EXITCODE ;; esac

  6. #20
    hawk23
    Obrigado Sérgio pela ajuda com as ISA foi de suma importância para mim , agora estou com um outro problema com o AP que fiz com o hermesAP . O segunte amigo, quando eu fiz o ap ele funcionou perfeito,daí começou dizendo que a tabela do conntrack do iptables daí pesquisei na internet e vi que o pro era memória , coloquei mais um pente de 64 k e ficou tudo blz . Mas 1 dias após começou a dar esse outro problema, essas são as mensagens do kernel :

    debian kernel: NETDEV WATCHDOG: eth1: transmit timed out
    Nov 24 06:32:15 debian kernel: eth1: Tx timeout! 0 free TxFIDs ALLOCFID=0224, TX
    COMPLFID=01bc, EVSTAT=808d
    Nov 24 06:32:17 debian kernel: NETDEV WATCHDOG: eth1: transmit timed out
    Nov 24 06:32:17 debian kernel: eth1: Tx timeout! 0 free TxFIDs ALLOCFID=0224, TX
    COMPLFID=01bc, EVSTAT=808d
    Nov 24 06:32:19 debian kernel: NETDEV WATCHDOG: eth1: transmit timed out
    Nov 24 06:32:19 debian kernel: eth1: Tx timeout! 0 free TxFIDs ALLOCFID=0224, TX
    COMPLFID=01bc, EVSTAT=808c

    o que acontece é que trava meu hermesap e eu tenho que reiniciar a pcmcia para tudo voltar ao normal ... vc pode me ajudar como resolver isso ?

    Fico no aguardo


  7.    Publicidade




Usuários que leram este tópico: 0

Nenhum usuário nesta lista